For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList connectors
      • GETGet connector

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerConnectors

Get connector

GET
https://ah-api.merge.dev/api/v1/connectors/:slug/
GET
/api/v1/connectors/:slug/
$curl https://ah-api.merge.dev/api/v1/connectors/linear/ \
> -H "Authorization: Bearer <token>"
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "name": "Linear",
4 "slug": "linear",
5 "description": "A connector to the Linear project management platform",
6 "source_url": "https://linear.app",
7 "logo_url": "https://linear.app/favicon.ico",
8 "categories": [
9 "Project Management"
10 ],
11 "auth_options": [
12 {
13 "type": "Secrets",
14 "secrets": [
15 {
16 "name": "api_key",
17 "human_readable_name": "API key",
18 "prefix": "string",
19 "suffix": "string",
20 "field_type": "TEXT",
21 "options": [
22 {
23 "option_label": "string",
24 "value": "string",
25 "option_default": true
26 }
27 ]
28 }
29 ]
30 },
31 {
32 "type": "OAuth2",
33 "secrets": [
34 {
35 "name": "client_id",
36 "human_readable_name": "Client ID",
37 "prefix": "string",
38 "suffix": "string",
39 "field_type": "TEXT",
40 "options": [
41 {
42 "option_label": "string",
43 "value": "string",
44 "option_default": true
45 }
46 ]
47 },
48 {
49 "name": "client_secret",
50 "human_readable_name": "Client Secret",
51 "prefix": "string",
52 "suffix": "string",
53 "field_type": "TEXT",
54 "options": [
55 {
56 "option_label": "string",
57 "value": "string",
58 "option_default": true
59 }
60 ]
61 }
62 ]
63 }
64 ],
65 "tools": [
66 {
67 "name": "create_issue",
68 "description": "Create a new issue in Linear",
69 "credit_type": "string"
70 },
71 {
72 "name": "list_issues",
73 "description": "List issues in Linear",
74 "credit_type": "string"
75 }
76 ],
77 "source": "git"
78}
Retrieves a Connector by slug
Was this page helpful?
Previous

List connectors

Next

List application credentials

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

slugstringRequired
The slug of the Connector

Response

idstring
Unique identifier for the Connector
namestring
Name of the Connector
slugstring
Slug identifier for the Connector
descriptionstring
Description of what the Connector does
source_urlstring or null
URL to the Connector's source website
logo_urlstring
URL to the Connector's logo image
categorieslist of strings or null
Categories this connector belongs to
auth_optionslist of objectsRead-only
Authentication options available for this connector
toolslist of objectsRead-only
List of available tools for this connector